'--------------------------------------------------------------------------
'       I N T R O D U C T I ON   T O   D A T A    E N T R Y   P A R T 4

'                                            Ron Kessler
'                                        Created 6/6/06

'--------------------------------------------------------------------------
'Updated 6/6/06

'NOTES:

'This program shows you how to fill a listbox with items and when they select one,
'it puts that item into a textbox.
'The listbox items are filled using the items properties at design time.
'Also note how I set the Tab Order and right-aligned the textboxes and labels.


Public Class frmMain


    Private Sub btnOK_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnOK.Click
        '---here is where we are going to calculate the tax and amt. due
        '   We will also format the money correctly so it look like a cash register.


        lblTax.Text = FormatNumber(txtPrice.Text * 0.08)        'this makes it use 2 decimal places

        lblBalDue.Text = CDec(txtPrice.Text) + CDec(lblTax.Text)  'CDec makes VB treat text as currency. CDec=convert to currency

    End Sub

    Private Sub lstProducts_SelectedIndexChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles lstProducts.SelectedIndexChanged
        '---when they click on an item, this code runs(executes) and takes the item chosen
        '   and puts it into the text property of the txtItem textbox.
        txtItem.Text = lstProducts.SelectedItem
    End Sub

    Private Sub btnClear_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnClear.Click
        '---clear everything and set cursor to name textbox
        txtFirstName.Clear()
        txtLastName.Clear()
        txtItem.Clear()
        txtPrice.Clear()
        lblTax.Text = ""
        lblBalDue.Text = ""
        txtFirstName.Focus()
    End Sub

    Private Sub btnEnd_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnEnd.Click
        Me.Close()
    End Sub

End Class
